// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/DesiredDestination.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__DESIRED_DESTINATION__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__DESIRED_DESTINATION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

/// Struct defined in msg/DesiredDestination in the package automotive_navigation_msgs.
/**
  * Desired Destination Message
  * Contains the location of a desired destination
 */
typedef struct automotive_navigation_msgs__msg__DesiredDestination
{
  std_msgs__msg__Header header;
  /// Increments each time a command is sent
  /// An acknowledge message should be published with this value
  uint8_t msg_counter;
  /// 1 if location should be used, 0 to cancel out previous location
  uint16_t valid;
  /// Latitude of destination (rad)
  double latitude;
  /// Longitude of destination (rad)
  double longitude;
} automotive_navigation_msgs__msg__DesiredDestination;

// Struct for a sequence of automotive_navigation_msgs__msg__DesiredDestination.
typedef struct automotive_navigation_msgs__msg__DesiredDestination__Sequence
{
  automotive_navigation_msgs__msg__DesiredDestination * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__DesiredDestination__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__DESIRED_DESTINATION__STRUCT_H_
